Buteo Synchronization Framework: Buteo::USBModedProxy Class Reference

Buteo Synchronization Framework

Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
Buteo::USBModedProxy Class Reference

- Proxy class for interface com.meego.usb_moded

More...

`#include <USBModedProxy.h>`

Inheritance diagram for Buteo::USBModedProxy:

## Public Slots
void | slotModeChanged (const QString &mode)
| connected to usbmoded proxy's sig_usb_state_ind signal More...
QDBusPendingReply< QString > | mode_request ()
| method to make a DBUS call to USB moded daemon More...

## Signals
void | sig_usb_state_ind (const QString &mode)
| overridden signal from usb moded proxy. More...
void | usbConnection (bool bConnected)
| this is emitted on receiving sig_usb_state_ind from usb moded daemon More...

## Public Member Functions
| USBModedProxy (QObject *parent=0)
| Constructor More...
| ~USBModedProxy ()
| Destructor
bool | isUSBConnected ()
| function to check if usb is connected or not More...

## Static Public Member Functions
static const char * | staticInterfaceName ()
| returns the static interface name

## Detailed Description

- Proxy class for interface com.meego.usb_moded

## Constructor & Destructor Documentation

## ◆ USBModedProxy()

USBModedProxy::USBModedProxy | ( | QObject * | parent = `0` | ) |

- Constructor

Parameters

  parent | - pointer to parent object

## Member Function Documentation

## ◆ isUSBConnected()

bool USBModedProxy::isUSBConnected | ( |  | ) |

- function to check if usb is connected or not

Returns
  - Returns true if the USB cable is connected in the Ovi Suite mode,false, if it's in any other mode, or if it isn't connected

## ◆ mode_request

QDBusPendingReply< QString > Buteo::USBModedProxy::mode_request | ( |  | ) |
| inlineslot

- method to make a DBUS call to USB moded daemon

Returns
  - result of the request as QString

## ◆ sig_usb_state_ind

void Buteo::USBModedProxy::sig_usb_state_ind | ( | const QString & | mode | ) |
| signal

- overridden signal from usb moded proxy.

Parameters

  mode | new mode

## ◆ slotModeChanged

void USBModedProxy::slotModeChanged | ( | const QString & | mode | ) |
| slot

- connected to usbmoded proxy's sig_usb_state_ind signal

Parameters

  mode | - new mode to which usb has changed to

## ◆ usbConnection

void Buteo::USBModedProxy::usbConnection | ( | bool | bConnected | ) |
| signal

- this is emitted on receiving sig_usb_state_ind from usb moded daemon

Parameters

  bConnected | - boolean flag to indicate whether the connection is successful or not

The documentation for this class was generated from the following files:

- USBModedProxy.h
- USBModedProxy.cpp
- moc_USBModedProxy.cpp